org.apache.cassandra.locator

## Class YamlFileNetworkTopologySnitch.Rack

- java.lang.Object
- - org.apache.cassandra.locator.YamlFileNetworkTopologySnitch.Rack

Enclosing class:
  YamlFileNetworkTopologySnitch

    public static class YamlFileNetworkTopologySnitch.Rack
    extends java.lang.Object

Rack object type for the YAML topology configuration.

### Field Summary

Fields
`java.util.List<YamlFileNetworkTopologySnitch.Node>` `nodes`
`java.lang.String` `rack_name`

### Constructor Summary

Constructors
Constructor and Description
`YamlFileNetworkTopologySnitch.Rack()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rack_name

    public java.lang.String rack_name

#### nodes

    public java.util.List<YamlFileNetworkTopologySnitch.Node> nodes

### Constructor Detail

#### YamlFileNetworkTopologySnitch.Rack

    public YamlFileNetworkTopologySnitch.Rack()